org.apache.cassandra.schema

## Class UnknownIndexException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.schema.UnknownIndexException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnknownIndexException
      extends java.io.IOException

  Exception thrown when we read an index id from a serialized ReadCommand and no corresponding IndexMetadata can be found in the CFMetaData#indexes collection. Note that this is an internal exception and is not meant to be user facing, the node reading the ReadCommand should proceed as if no index id were present.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.UUID` | `indexId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownIndexException(CFMetaData metadata, java.util.UUID id)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### indexId

          public final java.util.UUID indexId

  - ### Constructor Detail

    - #### UnknownIndexException

          public UnknownIndexException(CFMetaData metadata,
                                       java.util.UUID id)

Copyright © 2018 The Apache Software Foundation